﻿@page 
@model OdeToFood.Pages.Restaurants.EditModel
@{
    ViewData["Title"] = "Edit";
}

<h1>Editing @Model.Restaurant.Name</h1>

<form method="post">
    <input asp-for="Restaurant.Id" hidden />
    <div class="form-group">
        <label asp-for="Restaurant.Name"></label>
        <input class="form-control" asp-for="Restaurant.Name" />
        <span asp-validation-for="Restaurant.Name" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Restaurant.Location"></label>
        <input class="form-control" asp-for="Restaurant.Location"/>           
        <span asp-validation-for="Restaurant.Location" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Restaurant.Cuisine"></label>
        <select class="form-control" asp-for="Restaurant.Cuisine" asp-items="Model.Cuisines"></select>
        <span asp-validation-for="Restaurant.Cuisine" class="text-danger"></span>
    </div>
    <button type="submit" class="btn btn-primary">Save Changes</button>
</form>


@section Scripts{ 
    <partial name="_ValidationScriptsPartial"/>
}